<?php if ( !defined( 'ABSPATH' ) ) exit;//PHPの宣言と直接アクセスの拒否

function haumenu_sanitize_anaad_ga_sub($value){
	$value = (array) $value;
	$original_value = get_option('hautility-option-02-ana-ad'); // 元の値を保持

	/*** アクセス解析タグの出力 サブ ***/
	/* チェックボックス（存在するかどうか） */
	if ( isset( $value['insert-ga-tag-sub'] ) && $value['insert-ga-tag-sub'] === '1' ) {
		$value['insert-ga-tag-sub'] = '1'; // 明示的に '1' を設定
	} else {
		$value['insert-ga-tag-sub'] = ''; // チェックされていない場合は空文字を設定
	}

	/*** GA4測定ID サブ ***/
	/* テキストフィールド（文字列） */
	if ( isset( $value['ga4-tag-id-sub'] ) && is_string( $value['ga4-tag-id-sub'] ) ) {
		$value['ga4-tag-id-sub'] = sanitize_text_field( $value['ga4-tag-id-sub'] ); // サニタイズ
	} else {
		if ( isset( $original_value['ga4-tag-id-sub'] ) ) {
			$value['ga4-tag-id-sub'] = $original_value['ga4-tag-id-sub']; // 元の値を保持
		} else {
			$value['ga4-tag-id-sub'] = '';
		}
	}

	/*** ログインユーザーを除外 サブ ***/
	/* チェックボックス（存在するかどうか） */
	if ( isset( $value['login-user-not-output-analytics_tag-sub'] ) && $value['login-user-not-output-analytics_tag-sub'] === '1' ) {
		$value['login-user-not-output-analytics_tag-sub'] = '1'; // 明示的に '1' を設定
	} else {
		$value['login-user-not-output-analytics_tag-sub'] = ''; // チェックされていない場合は空文字を設定
	}

	

	/* ---------- ここまでに項目ごとの記述をする ---------- */
	return $value;//値を返す
}